Package org.postgresql.jdbc

# Class PgSQLXML

java.lang.Object
org.postgresql.jdbc.PgSQLXML

All Implemented Interfaces:
  `SQLXML`

public class PgSQLXML extends Object implements SQLXML

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PgSQLXML(BaseConnection conn)`
  `PgSQLXML(BaseConnection conn, @Nullable String data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `free()`
  `@Nullable InputStream`
  `getBinaryStream()`
  `@Nullable Reader`
  `getCharacterStream()`
  `<T extends Source>
  @Nullable T`
  `getSource(@Nullable Class<T> sourceClass)`
  `@Nullable String`
  `getString()`
  `OutputStream`
  `setBinaryStream()`
  `Writer`
  `setCharacterStream()`
  `<T extends Result>
  T`
  `setResult(Class<T> resultClass)`
  `void`
  `setString(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PgSQLXML

    public PgSQLXML(BaseConnection conn)

  - ### PgSQLXML

    public PgSQLXML(BaseConnection conn, @Nullable String data)

- ## Method Details

  - ### free

    public void free()
    Specified by:
      `free` in interface `SQLXML`

  - ### getBinaryStream

    public @Nullable InputStream getBinaryStream() throws SQLException
    Specified by:
      `getBinaryStream` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### getCharacterStream

    public @Nullable Reader getCharacterStream() throws SQLException
    Specified by:
      `getCharacterStream` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### getSource

    public <T extends Source> @Nullable T getSource(@Nullable Class<T> sourceClass) throws SQLException
    Specified by:
      `getSource` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### getString

    public @Nullable String getString() throws SQLException
    Specified by:
      `getString` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public OutputStream setBinaryStream() throws SQLException
    Specified by:
      `setBinaryStream` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public Writer setCharacterStream() throws SQLException
    Specified by:
      `setCharacterStream` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### setResult

    public <T extends Result> T setResult(Class<T> resultClass) throws SQLException
    Specified by:
      `setResult` in interface `SQLXML`
    Throws:
      `SQLException`

  - ### setString

    public void setString(String value) throws SQLException
    Specified by:
      `setString` in interface `SQLXML`
    Throws:
      `SQLException`